/*
 * This file is a part of Netacka 3D.
 *
 * Copyright 2010
 * Leszek Bartkowski, Mikołaj Dądela, Paweł Marczewski, Jan Szejko
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package netacka3d.data;

/** 
 * Typ opisujący kolor i (być może kiedyś) teksturę/kolory wstęgi.
 */
public enum PlayerColor {
    
    BLUE        (0x0016be),
    RED         (0xf10000),
    GREEN       (0x23b523),
    YELLOW      (0xffff00),
    MAGENTA     (0xb500b5),
    ORANGE      (0xff7900),
    SILVER      (0x7f7f7f),
    PINK        (0xe095da),
    NAVYBLUE    (0x061f44),
    SKYBLUE     (0x296ab5),
    DARKGREEN   (0x0c5100),
    BROWN       (0x583303),
    DARKRED     (0x58000c),
    VIOLET      (0x5b0066),
    GRAY        (0x333333);
    
    public final float r, g, b;

    private PlayerColor(float r, float g, float b) {
        this.r = r;
        this.g = g;
        this.b = b;
    }
    
    private PlayerColor(int hex) {
        r = ((float) ((hex >> 16) & 0xFF)) / 255.0f;
        g = ((float) ((hex >> 8)  & 0xFF)) / 255.0f;
        b = ((float) (hex         & 0xFF)) / 255.0f;
    }

    /*@Override
    public String toString() {
    return this.name();
    }*/
}
