/*
 * This file is a part of Netacka 3D.
 *
 * Copyright 2010
 * Leszek Bartkowski, Mikołaj Dądela, Paweł Marczewski, Jan Szejko
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package netacka3d.network;

import netacka3d.data.*;
import netacka3d.logic.Game.MatchState;

/**
 * Interfejs do powiadomień klienta o zdarzeniach z sieci.
 */
public interface ClientNetworkListener {
    
    /** zakończyliśmy wskutek błędu */
    public void onNetFailure(String msg);
    
    /** połączono nas i mamy taki id */
    public void onJoined(int id);
    
    /** nie udało się */
    public void onJoinFailed();
    
    public void onNewGameState(int t, MatchSettings s, PlayersTable pt, 
                               MatchState st);

    public void onNewSegments(int t, Segment[] segs);
}
