/*
 * This file is a part of Netacka 3D.
 *
 * Copyright 2010
 * Leszek Bartkowski, Mikołaj Dądela, Paweł Marczewski, Jan Szejko
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package netacka3d.test.pc;

import netacka3d.data.PlayerColor;
import netacka3d.data.MatchSettings;
import netacka3d.logic.ClientController;
import netacka3d.logic.ServerController;
import netacka3d.logic.bots.Sigma;
import netacka3d.misc.pc.Init;
import netacka3d.ui.pc.GameWindow;

public class MainWithSigma {
    
    public static void main(String[] args) throws InterruptedException {
        
        Init.init();
                
        ServerController sCon = new ServerController();

        sCon.startGame("serv", new MatchSettings() {{
            arenaName = "icosi";
            stepRate = 50;
        }}, 4567);
        
        new Sigma().connect("red", PlayerColor.RED, "127.0.0.1", 4567);
        
        ClientController cCon = new Sigma();
        new GameWindow(cCon).setVisible(true);
        cCon.connect("green", PlayerColor.GREEN, "127.0.0.1", 4567);
    }
    
}
